<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne a a letra mias repetida de uma string
        */
        function mostUsedChar(text) {
            let mu = text [0], maxCount = 0, i, j
            let len = text.lenght
            for(i = 0; i < len; i++) {
                let count = 0
                for (j = i + 1; j<len; j++){
                    if(text[i] == text[j]){
                        count++
                    }
                } 
                if(maxCount < count){
                    maxCount = count;
                    mu = text[i] 
                }
                
            }  
            return mu
        }

        // Resultados esperados
        console.log(mostUsedChar("fdgdfgff"), 'f') // f
        console.log(mostUsedChar("Lorem ipsum"), 'm') // m
        console.log(mostUsedChar("adsassdasd"), 's') // s
        console.log(mostUsedChar("testeeeee"), 'e') // e

    </script>
</body>

</html>